import{s as Re,f as F,n as Ge,o as Je}from"../chunks/scheduler.63274e7e.js";import{S as Oe,i as We,g as a,s as n,r as Fe,A as Be,h as s,f as t,c as o,j as S,u as Se,x as u,k as r,y as Ve,a as l,v as Ye,d as je,t as ze,w as qe}from"../chunks/index.bf3f3f8e.js";import{H as Ne,E as Qe}from"../chunks/EditOnGithub.7d836abf.js";function Xe(fe){let h,z,Y,q,d,R,g,pe,G,w,he="Welcome to the first Unit of the course!",J,y,de="The integration of cutting-edge AI models in video games is opening a whole range of new exciting gameplays. One of them is the ability for Non-Player Characters (NPCs) <strong>to understand and respond to the player’s voice or text inputs</strong>. And this is what we’re going to do today.",O,b,ge="Indeed, in this Unit, <strong>you’re going to integrate your first AI model in your Unity game and make it run locally</strong>.",W,v,we="You’re going to learn:",B,_,ye='<li>What is Sentence Similarity?</li> <li>The difference between <strong>running an AI model locally or remotely</strong> (using an API).</li> <li>What the <a href="https://huggingface.co/models?library=unity-sentis" rel="nofollow">Hugging Face Hub 🤗</a> is.</li> <li>How to run an AI model locally with <a href="https://docs.unity3d.com/Packages/com.unity.sentis@latest" rel="nofollow">Unity Sentis</a> and <a href="https://github.com/huggingface/sharp-transformers" rel="nofollow">Sharp Transformers</a>.</li>',V,T,be="And you’re going to make this demo, where a <strong>smart robot that can understand your orders and perform them</strong>.",N,m,ve,Q,x,_e='You can download the Windows demo 👉 <a href="https://singularite.itch.io/jammo-the-robot-with-unity-sentis" rel="nofollow">here</a>',X,L,Te="To make this project, we’re going to use:",Z,M,xe='<li><p>Unity Game Engine (2022.3 and +).</p></li> <li><p>The Jammo Robot asset made by <a href="https://www.youtube.com/channel/UCLyVUwlB_Hahir_VsKkGPIA" rel="nofollow">Mix and Jam</a>.</p></li> <li><p><a href="https://docs.unity3d.com/Packages/com.unity.sentis@latest" rel="nofollow">Unity Sentis library</a>, the neural network inference library that allow us to <strong>run our AI model directly inside our game</strong>.</p></li> <li><p>The <a href="https://github.com/huggingface/sharp-transformers" rel="nofollow">Hugging Face Sharp Transformers</a>): a Unity plugin of utilities to <strong>run Transformer 🤗 models in Unity games</strong>.</p></li>',D,C,Le='You can download the complete Unity Project by clicking 👉 <a href="https://huggingface.co/datasets/huggingface-ml-4-games-course/unity-demos/resolve/main/unit1/Jammo%20the%20Robot%20Sentis%20(v2).zip?download=true" rel="nofollow">here</a>',K,H,Me="At the end of the project, you’ll build your own intelligent robot game demo.",ee,P,Ce="And then, you’ll be able <strong>to iterate with other ideas</strong>:",te,k,He="For instance, after making this game, I created this Dungeon Escape demo ⚔️ with the same codebase, <strong>where your goal is to flee from this jail by stealing the 🔑 and the gold without getting noticed by the guard</strong>.",ie,c,Pe,le,I,ke="But I also worked on a stealth game, where you <strong>guide your character to sneak in a party and steal some stuff</strong>.",re,f,Ie,ne,A,Ae='You’ll be also able to improve the demo, <a href="https://thomassimonini.substack.com/p/building-ai-driven-voice-recognition" rel="nofollow">by adding a Speech To Text model to give order to the robot with your voice!</a>',oe,p,Ee,ae,E,$e="Sounds fun? Let’s get started!",se,$,Ue,ue,U,me,j,ce;return d=new Ne({props:{title:"Introduction",local:"introduction",headingTag:"h1"}}),U=new Qe({props:{source:"https://github.com/huggingface/making-games-with-ai-course/blob/main/units/en/unit1/introduction.mdx"}}),{c(){h=a("meta"),z=n(),Y=a("p"),q=n(),Fe(d.$$.fragment),R=n(),g=a("img"),G=n(),w=a("p"),w.textContent=he,J=n(),y=a("p"),y.innerHTML=de,O=n(),b=a("p"),b.innerHTML=ge,W=n(),v=a("p"),v.textContent=we,B=n(),_=a("ul"),_.innerHTML=ye,V=n(),T=a("p"),T.innerHTML=be,N=n(),m=a("iframe"),Q=n(),x=a("p"),x.innerHTML=_e,X=n(),L=a("p"),L.textContent=Te,Z=n(),M=a("ul"),M.innerHTML=xe,D=n(),C=a("p"),C.innerHTML=Le,K=n(),H=a("p"),H.textContent=Me,ee=n(),P=a("p"),P.innerHTML=Ce,te=n(),k=a("p"),k.innerHTML=He,ie=n(),c=a("iframe"),le=n(),I=a("p"),I.innerHTML=ke,re=n(),f=a("iframe"),ne=n(),A=a("p"),A.innerHTML=Ae,oe=n(),p=a("iframe"),ae=n(),E=a("p"),E.textContent=$e,se=n(),$=a("img"),ue=n(),Fe(U.$$.fragment),me=n(),j=a("p"),this.h()},l(e){const i=Be("svelte-u9bgzb",document.head);h=s(i,"META",{name:!0,content:!0}),i.forEach(t),z=o(e),Y=s(e,"P",{}),S(Y).forEach(t),q=o(e),Se(d.$$.fragment,e),R=o(e),g=s(e,"IMG",{src:!0,alt:!0}),G=o(e),w=s(e,"P",{"data-svelte-h":!0}),u(w)!=="svelte-1c9bus8"&&(w.textContent=he),J=o(e),y=s(e,"P",{"data-svelte-h":!0}),u(y)!=="svelte-bpkqw2"&&(y.innerHTML=de),O=o(e),b=s(e,"P",{"data-svelte-h":!0}),u(b)!=="svelte-1x7h9zi"&&(b.innerHTML=ge),W=o(e),v=s(e,"P",{"data-svelte-h":!0}),u(v)!=="svelte-8naytq"&&(v.textContent=we),B=o(e),_=s(e,"UL",{"data-svelte-h":!0}),u(_)!=="svelte-j701nx"&&(_.innerHTML=ye),V=o(e),T=s(e,"P",{"data-svelte-h":!0}),u(T)!=="svelte-ka8j7v"&&(T.innerHTML=be),N=o(e),m=s(e,"IFRAME",{width:!0,height:!0,src:!0,title:!0,frameborder:!0,allow:!0}),S(m).forEach(t),Q=o(e),x=s(e,"P",{"data-svelte-h":!0}),u(x)!=="svelte-1rw1l"&&(x.innerHTML=_e),X=o(e),L=s(e,"P",{"data-svelte-h":!0}),u(L)!=="svelte-1nuz8ra"&&(L.textContent=Te),Z=o(e),M=s(e,"UL",{"data-svelte-h":!0}),u(M)!=="svelte-kl4ljz"&&(M.innerHTML=xe),D=o(e),C=s(e,"P",{"data-svelte-h":!0}),u(C)!=="svelte-gk8fdu"&&(C.innerHTML=Le),K=o(e),H=s(e,"P",{"data-svelte-h":!0}),u(H)!=="svelte-1jackn7"&&(H.textContent=Me),ee=o(e),P=s(e,"P",{"data-svelte-h":!0}),u(P)!=="svelte-1vrz1v7"&&(P.innerHTML=Ce),te=o(e),k=s(e,"P",{"data-svelte-h":!0}),u(k)!=="svelte-1qzgcfp"&&(k.innerHTML=He),ie=o(e),c=s(e,"IFRAME",{width:!0,height:!0,src:!0,title:!0,frameborder:!0,allow:!0}),S(c).forEach(t),le=o(e),I=s(e,"P",{"data-svelte-h":!0}),u(I)!=="svelte-124rxf6"&&(I.innerHTML=ke),re=o(e),f=s(e,"IFRAME",{width:!0,height:!0,src:!0,title:!0,frameborder:!0,allow:!0}),S(f).forEach(t),ne=o(e),A=s(e,"P",{"data-svelte-h":!0}),u(A)!=="svelte-ifwsf1"&&(A.innerHTML=Ae),oe=o(e),p=s(e,"IFRAME",{width:!0,height:!0,src:!0,title:!0,frameborder:!0,allow:!0}),S(p).forEach(t),ae=o(e),E=s(e,"P",{"data-svelte-h":!0}),u(E)!=="svelte-1iimm0f"&&(E.textContent=$e),se=o(e),$=s(e,"IMG",{src:!0,alt:!0}),ue=o(e),Se(U.$$.fragment,e),me=o(e),j=s(e,"P",{}),S(j).forEach(t),this.h()},h(){r(h,"name","hf:doc:metadata"),r(h,"content",Ze),F(g.src,pe="https://huggingface.co/datasets/huggingface-ml-4-games-course/course-images/resolve/main/en/unit1/unity/thumbnail.png")||r(g,"src",pe),r(g,"alt","Thumbnail"),r(m,"width","560"),r(m,"height","315"),F(m.src,ve="https://www.youtube.com/embed/L8LlOlYc3wI?si=ZILzXsuLwl__fYbx")||r(m,"src",ve),r(m,"title","YouTube video player"),r(m,"frameborder","0"),r(m,"allow","accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share"),m.allowFullscreen="",r(c,"width","560"),r(c,"height","315"),F(c.src,Pe="https://www.youtube.com/embed/h8Mq1ZJkFL0?si=4q21QH6PIqNeE70w")||r(c,"src",Pe),r(c,"title","YouTube video player"),r(c,"frameborder","0"),r(c,"allow","accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share"),c.allowFullscreen="",r(f,"width","560"),r(f,"height","315"),F(f.src,Ie="https://www.youtube.com/embed/mU6ih2BBAus?si=Vh1XQoFVbEvuCtYb")||r(f,"src",Ie),r(f,"title","YouTube video player"),r(f,"frameborder","0"),r(f,"allow","accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share"),f.allowFullscreen="",r(p,"width","560"),r(p,"height","315"),F(p.src,Ee="https://www.youtube.com/embed/TzHTLW2zOlY?si=LekdMO6vp2_qM-aR")||r(p,"src",Ee),r(p,"title","YouTube video player"),r(p,"frameborder","0"),r(p,"allow","accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share"),p.allowFullscreen="",F($.src,Ue="https://huggingface.co/datasets/huggingface-ml-4-games-course/course-images/resolve/main/en/unit1/unity/jammo-dance.gif")||r($,"src",Ue),r($,"alt","Jammo dance")},m(e,i){Ve(document.head,h),l(e,z,i),l(e,Y,i),l(e,q,i),Ye(d,e,i),l(e,R,i),l(e,g,i),l(e,G,i),l(e,w,i),l(e,J,i),l(e,y,i),l(e,O,i),l(e,b,i),l(e,W,i),l(e,v,i),l(e,B,i),l(e,_,i),l(e,V,i),l(e,T,i),l(e,N,i),l(e,m,i),l(e,Q,i),l(e,x,i),l(e,X,i),l(e,L,i),l(e,Z,i),l(e,M,i),l(e,D,i),l(e,C,i),l(e,K,i),l(e,H,i),l(e,ee,i),l(e,P,i),l(e,te,i),l(e,k,i),l(e,ie,i),l(e,c,i),l(e,le,i),l(e,I,i),l(e,re,i),l(e,f,i),l(e,ne,i),l(e,A,i),l(e,oe,i),l(e,p,i),l(e,ae,i),l(e,E,i),l(e,se,i),l(e,$,i),l(e,ue,i),Ye(U,e,i),l(e,me,i),l(e,j,i),ce=!0},p:Ge,i(e){ce||(je(d.$$.fragment,e),je(U.$$.fragment,e),ce=!0)},o(e){ze(d.$$.fragment,e),ze(U.$$.fragment,e),ce=!1},d(e){e&&(t(z),t(Y),t(q),t(R),t(g),t(G),t(w),t(J),t(y),t(O),t(b),t(W),t(v),t(B),t(_),t(V),t(T),t(N),t(m),t(Q),t(x),t(X),t(L),t(Z),t(M),t(D),t(C),t(K),t(H),t(ee),t(P),t(te),t(k),t(ie),t(c),t(le),t(I),t(re),t(f),t(ne),t(A),t(oe),t(p),t(ae),t(E),t(se),t($),t(ue),t(me),t(j)),t(h),qe(d,e),qe(U,e)}}}const Ze='{"title":"Introduction","local":"introduction","sections":[],"depth":1}';function De(fe){return Je(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class it extends Oe{constructor(h){super(),We(this,h,De,Xe,Re,{})}}export{it as component};
